Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx
Class ExtendedObjectInstance

    java.lang.Object
      |
      +--javax.management.ObjectInstance
            |
            +--org.huihoo.jfox.jmx.ExtendedObjectInstance

All Implemented Interfaces:
  java.io.Serializable

public class ExtendedObjectInstance
extends ObjectInstance

Author:
  Young Yang
See Also:
  Serialized Form

Constructor Summary
`ExtendedObjectInstance(ObjectName objectName, java.lang.Class mbeanClass, java.lang.Class interfaceClass)`
`ExtendedObjectInstance(java.lang.String objectName, java.lang.Class mbeanClass, java.lang.Class interfaceClass)`

Method Summary
`java.lang.Class` | `getInterfaceClass()`
`java.lang.String` | `getInterfaceClassName()`
`java.lang.Class` | `getMbeanClass()`

Methods inherited from class javax.management.ObjectInstance
`equals, getClassName, getObjectName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedObjectInstance

    public ExtendedObjectInstance(java.lang.String objectName,
                                  java.lang.Class mbeanClass,
                                  java.lang.Class interfaceClass)
                           throws MalformedObjectNameException

### ExtendedObjectInstance

    public ExtendedObjectInstance(ObjectName objectName,
                                  java.lang.Class mbeanClass,
                                  java.lang.Class interfaceClass)

Method Detail

### getInterfaceClassName

    public java.lang.String getInterfaceClassName()

### getMbeanClass

    public java.lang.Class getMbeanClass()

### getInterfaceClass

    public java.lang.Class getInterfaceClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD